<?php

class Order {
    
    const URL = "/start";

    public function run () {
        try {
            $config = json_decode(file_get_contents("../configs/configs.json"), true);

            $url      = $config['apacheServer'] . self::URL;
            $response = $this->request($url);

            if(!empty($response))
                echo $response . "\n";
        } catch (\Exception $e) {
            echo $e->getMessage() . PHP_EOL;
        }
            
    }
    
    private function request($url) {
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type:application/json']);
        curl_setopt($ch, CURLOPT_POSTFIELDS, null);   
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_TIMEOUT, 60);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');

        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }
}

$service = new Order();
$service->run(); 
